<template>
    <div class="list-page">
        <h2 class="list-pageH2 wow fadeInLeft">{{ $t('pages.table.title') }}</h2>
        <div class="box-table">
            <div class="table-head wow fadeInUp">
                <p class="text-p">{{ $t('pages.table.page') }}</p>
                <p class="text-p">{{ $t('pages.table.route') }}</p>
            </div>
            <div class="box-table--body wow fadeInUp" v-for="page in pages">
                <div class="box__body--left">
                    <p class="text-one">{{ page.title[locale] }}</p>
                    <a :href="page.url" class="link-body">{{ page.url }}</a>
                </div>
                <div class="box__body--right">
                    <svg class="look">
                        <use xlink:href="/img/sprite.svg#private"/>
                    </svg>
                    <router-link :to="route('pages_edit', {id: page.id})">
                        <svg class="edit">
                            <use xlink:href="/img/sprite.svg#edit"/>
                        </svg>
                    </router-link>
                    <svg class="delete" @click="deletePage(page.id)">
                        <use xlink:href="/img/sprite.svg#cancel-button"/>
                    </svg>
                </div>
            </div>
            <paginator
                :current-page="currentPage"
                :last-page="lastPage"
                :per-page="perPage"
                :items-count="total"
                @page-changed="setPage"
            />
        </div>
    </div>
</template>

<script>
	import {mapGetters} from "vuex";
	import route from "../../mixins/route";

    export default {
		name: "PagesTable",
        mixins: [route],
        data(){
            return {
                currentPage: 0,
                lastPage: 0,
                perPage: 0,
                total: 0,
                page: 1,
                pages: [],
            }
        },
        computed: {
            ...mapGetters([
                'axios',
                'locale'
            ])
        },
        methods: {
            submit(){
                this.axios.get(`pages`, {
                    params: {
                        page: this.page,
                    }
                })
                    .then(resp => resp.data)
                    .then(pages => {
                        console.log(pages);
                        this.currentPage = pages.current_page;
                        this.lastPage = pages.last_page;
                        this.perPage = pages.per_page;
                        this.total = pages.total;
                        this.pages = pages.data;
                    });
            },
            deletePage(id){
                this.axios
                    .post(`pages/${id}/delete`)
                    .then(resp => resp.data)
                    .then(data => {
                        if('success' === data.status){
                            this.$swal('Страница удалена');
                        }else{
                            this.$swal(this.$t('ui.error'), '', 'error')
                        }
                    });
            },
            setPage(page){
                this.page = page;
                this.submit();
            },
        },
        mounted(){
            this.submit();
        },
	}
</script>

<style scoped>
.list-page{
    margin-top:0;
}
</style>
